Comodo Enhances Endpoint Protection with CESM 3.2

October 10, 2014 | By Editor

Lower Case endpoint protection word cloud
Comodo announced this week the release of Comodo Endpoint Security Manager version 3.2  (CESM 3.2), its  platform for endpoint protection and management.  CESM provides a state-of-the-art anti-malware suite that proactively protects your servers, workstations, laptops and netbooks, while offering advanced, real-time management and control over critical system resources.

CESM 3.2 comes with the latest version of the security suite, Comodo Endpoint Security version 8 (CES 8).

What’s New

  • Selective CES component deployment: You can now choose to deploy only certain components of CES, such as Sandbox only, to run alongside an existing AV ‘solution’
  • Granular, rule-based Sandbox settings management, via policies
  • Viruscope:  Application behavior analytics (launched from the Unrecognized Files manager)
  • File Groups:  Allowing Sandbox rules to be applied to groups of files
  • Registry Groups: Allowing Sandbox rules to be applied to groups of registry object
  • CES Logging to 3rd party destinations: You can choose where the CES logs should be written for collection by your SIEM product or poush thelogs directly to a Syslog-style server
  • Unrecognized Files:  You now have a new management console for reviewing any files detected in your environment which are ‘Unknown’
  • Observing Antivirus Events with Application activities : Right from the Computer Properties screen you can see what AV events have taken place on the endpoint

Upgrade Issues

If you are an existing user of CESM and CES, please be aware of the following upgrade issues.

  • ESM 3.2 does not manage CES 6.4: If you upgrade to ESM 3.2 all your CES 6.4 installs will turn to ‘Unsupported’ in your management console.
  • ESM 3.1 does not manage CES 8:  If you upgrade your CES 6.4 installs to CES 8 your endpoints will turn to ‘Unsupported’ in your management console.
  • Deployments of CES 8 can not be governed by CES 6.4 policies: If you upgrade all your endpoints to CES 8 all of your legacy policies will be not be usable and you will have to recreate your policies.

Please consider carefully before upgrading and please only do so outside of production hours.

Free Trial

You can get started today with ESM using the 60-day/600-user trial found here: https://www.comodo.com/business-enterprise/cesm3/index_v2.php.

If you are an existing ESM 3.x user you will get an on-screen notification of the upgrade’s availability and just follow the prompts.

 

Be Sociable, Share!

    Comments

    Doug Fullerton February 25, 2015 at 11:43 am

    We have 3.0 cesm, and would like to upgrade but how can we upgrade all 600 clients easily to 8? I haven’t seen this or would that be included in the 3.2 interface?

    Reply

    Add new comment

    Your name
    Comment

    You may use these HTML tags and attributes: <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>